function top_sales_product (widget) {
    "use strict";

    widget.TopSalesProductWidget = widget.Base.extend({
        template: 'TopSalesProductTmpl',
        data: [],
        init: function (parent) {
            this._super(parent, {
                width: 4,
                height: 6
            });
        },
        start: function () {
            var chart = new Chart(this.$el.find('#top-sales-product'), {
                type: 'horizontalBar',
                data: {
                    labels: ["Product 1", "Product 2", "Product 3", "Product 4", "Product 5", "Product 6", "Product 7", "Product 8", "Product 9", "Product 10"],
                    datasets: [
                        {
                            backgroundColor: ['#7c7bad', '#7c7bad', '#7c7bad', '#7c7bad', '#7c7bad', '#7c7bad', '#7c7bad', '#7c7bad', '#7c7bad', '#7c7bad'],
                            data: [200, 175, 150, 132, 88, 54, 42, 22, 10, 5]
                        }
                    ]
                },
                options: {
                    maintainAspectRatio: false,
                    layout: {
                        padding: 20
                    },
                    legend: {
                        display: false
                    }
                }
            });
        }
    });
}
